Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 914097 - dev-libs/xapian-bindings-1.4.23 - [slibtool] rdlibtool: error: <compiler> is missing.
Summary: dev-libs/xapian-bindings-1.4.23 - [slibtool] rdlibtool: error: <compiler> is ...
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: slibtool
  Show dependency tree
 
Reported: 2023-09-13 08:11 UTC by Toralf Förster
Modified: 2024-02-13 14:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,21.63 KB, text/plain)
2023-09-13 08:11 UTC, Toralf Förster
Details
dev-libs:xapian-bindings-1.4.22:20230913-010223.log (dev-libs:xapian-bindings-1.4.22:20230913-010223.log,15.43 KB, text/plain)
2023-09-13 08:11 UTC, Toralf Förster
Details
emerge-history.txt.xz (emerge-history.txt.xz,87.00 KB, application/x-xz)
2023-09-13 08:11 UTC, Toralf Förster
Details
environment (environment,215.46 KB, text/plain)
2023-09-13 08:11 UTC, Toralf Förster
Details
etc.clang.tar.xz (etc.clang.tar.xz,788 bytes, application/x-xz)
2023-09-13 08:11 UTC, Toralf Förster
Details
etc.portage.tar.xz (etc.portage.tar.xz,36.96 KB, application/x-xz)
2023-09-13 08:11 UTC, Toralf Förster
Details
logs.tar.xz (logs.tar.xz,8.77 KB, application/x-xz)
2023-09-13 08:11 UTC, Toralf Förster
Details
temp.tar.xz (temp.tar.xz,47.25 KB, application/x-xz)
2023-09-13 08:11 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2023-09-13 08:11:28 UTC
rdlibtool: link: ln -s /usr/lib64/perl5/vendor_perl/5.38/x86_64-linux/auto/Xapian .libs/Xapian.so.slibtool.rpath
rdlibtool: link: x86_64-pc-linux-gnu-g++ .libs/xapian_wrap.o -fno-strict-aliasing -Wall -Wno-unused -Wno-uninitialized -fvisibility=hidden -fvisibility-inlines-hidden -O2 -pipe -march=native -fno-diagnostics-color -Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0 -L/usr/lib64 -lxapian -lstdc++ -shared -fPIC -Wl,-soname -Wl,Xapian.so -o .libs/Xapian.so
rdlibtool: link: ln -s /dev/null .libs/Xapian.so.def
rdlibtool: link: ln -s ../Xapian.la .libs/Xapian.la
rdlibtool: link: ln -s ../Xapian.la .libs/Xapian.lai
rdlibtool --config > libtoolconfig.tmp
rdlibtool: error: <compiler> is missing.
make[2]: *** [Makefile:1484: auto/Xapian/Xapian.so] Error 2
make[2]: Leaving directory '/var/tmp/portage/dev-libs/xapian-bindings-1.4.22/work/xapian-bindings-1.4.22/perl'

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome-20230903-215513

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-10
 [2] x86_64-pc-linux-gnu-13 *
clang/llvm (if any):
clang version 16.0.6
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/16/bin
Configuration file: /etc/clang/clang.cfg
/usr/lib/llvm/16
16.0.6
Python 3.11.5
Available Ruby profiles:
  [1]   ruby31 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.72.0
  [2]   rust-1.72.0 *
GENTOO_VM=  CLASSPATH="" JAVA_HOME="/etc/java-config-2/current-system-vm"
JAVACFLAGS="" COMPILER=""
The following VMs are available for generation-2:
1)	Eclipse Temurin JDK 11.0.19_p7 [openjdk-bin-11]
*)	Eclipse Temurin JDK 17.0.7_p7 [openjdk-bin-17]
3)	Eclipse Temurin JDK 8.372_p07 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8 
  [2]   openjdk-bin-11 
  [3]   openjdk-bin-17  system-vm

php cli (if any):
go version go1.21.1 linux/amd64

  HEAD of ::gentoo
commit c384ff69ce53d09c8a69a0a3e3e1515b69ab1450
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Tue Sep 12 23:01:43 2023 +0000

    2023-09-12 23:01:42 UTC

emerge -qpvO dev-libs/xapian-bindings
[ebuild  N    ] dev-libs/xapian-bindings-1.4.22  USE="perl -java -lua -mono -php -python -ruby -tcl" LUA_TARGETS="lua5-1 -lua5-3 -lua5-4 -luajit" PHP_TARGETS="php8-1 (-php8-0) -php8-2" PYTHON_TARGETS="python3_11 -python3_10" RUBY_TARGETS="ruby31 (-ruby30) -ruby32"
Comment 1 Toralf Förster gentoo-dev 2023-09-13 08:11:29 UTC
Created attachment 870436 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2023-09-13 08:11:30 UTC
Created attachment 870437 [details]
dev-libs:xapian-bindings-1.4.22:20230913-010223.log
Comment 3 Toralf Förster gentoo-dev 2023-09-13 08:11:31 UTC
Created attachment 870438 [details]
emerge-history.txt.xz
Comment 4 Toralf Förster gentoo-dev 2023-09-13 08:11:32 UTC
Created attachment 870439 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2023-09-13 08:11:33 UTC
Created attachment 870440 [details]
etc.clang.tar.xz
Comment 6 Toralf Förster gentoo-dev 2023-09-13 08:11:34 UTC
Created attachment 870441 [details]
etc.portage.tar.xz
Comment 7 Toralf Förster gentoo-dev 2023-09-13 08:11:35 UTC
Created attachment 870442 [details]
logs.tar.xz
Comment 8 Toralf Förster gentoo-dev 2023-09-13 08:11:36 UTC
Created attachment 870443 [details]
temp.tar.xz
Comment 9 orbea 2023-09-13 13:29:42 UTC
Fixed here and then the patch was dropped for some reason later?

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a4b73aff0b585dac26d161e8a0a5a906cf3c00f
Comment 10 Agostino Sarubbo gentoo-dev 2024-02-10 08:00:45 UTC
slibtool_tinderbox has reproduced this issue with version 1.4.23 - Updating summary.
Comment 11 orbea 2024-02-13 14:43:52 UTC
Fixed in slibtool-9999.